LIBTHR(3)

NAME
libthr - 1:1 POSIX threads library

LIBRARY
libthr

SYNOPSIS
#include <pthread.h>

DESCRIPTION
The libthr library provides a 1:1 implementation of the pthread(3) library interfaces for application threading. It has been optimized for use by applications expecting system scope thread semantics, and can provide significant performance improvements compared to libkse.

SEE ALSO
pthread(3)

AUTHORS
-nosplit The libthr library was originally created by Jeff Roberson <jeff@FreeBSD.org>, and enhanced by Jonathan Mini <mini@FreeBSD.org> and Mike Makonnen <mtm@FreeBSD.org>. It has been substantially rewritten and optimized by David Xu <davidxu@FreeBSD.org>.